[ARVADOS-DEV] updated: c4630bce4a7bf9260369b67faf4fbb4e7e549642

git at public.curoverse.com git at public.curoverse.com
Wed May 20 13:29:05 EDT 2015


Summary of changes:
 jenkins/create-plot-data-from-log.sh | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

       via  c4630bce4a7bf9260369b67faf4fbb4e7e549642 (commit)
       via  1341bb72ae74b1f151935bd1ee4564648de2246f (commit)
      from  8561679d3420531c237c67add8415fa0212af1ec (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit c4630bce4a7bf9260369b67faf4fbb4e7e549642
Author: Nico Cesar <nico at nicocesar.com>
Date:   Wed May 20 13:28:50 2015 -0400

    added result checking

diff --git a/jenkins/create-plot-data-from-log.sh b/jenkins/create-plot-data-from-log.sh
index 1b52af1..d6e351f 100755
--- a/jenkins/create-plot-data-from-log.sh
+++ b/jenkins/create-plot-data-from-log.sh
@@ -50,10 +50,11 @@ do
  result=$?
  if [ $result -eq 0 ]
  then 
-  echo processing  $outputdir/$test-$build.txt creating  $outputdir/$test.csv
-  echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed (.*) in [0-9]+ms.*$/;print "".++$line."-$1,";' | perl -p -e 's/,$//g'|tr " " "_" ) >  $outputdir/$test.csv
-  echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed.*in ([0-9]+)ms.*$/;print "$1,";' | perl -p -e 's/,$//g' ) >>  $outputdir/$test.csv
-  #echo URL=https://ci.curoverse.com/view/job/arvados-api-server/ws/apps/workbench/log/$test-$build.txt/*view*/ >>  $outputdir/$test.properties
+   echo processing  $outputdir/$test-$build.txt creating  $outputdir/$test.csv
+   echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed (.*) in [0-9]+ms.*$/;print "".++$line."-$1,";' | perl -p -e 's/,$//g'|tr " " "_" ) >  $outputdir/$test.csv
+   echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed.*in ([0-9]+)ms.*$/;print "$1,";' | perl -p -e 's/,$//g' ) >>  $outputdir/$test.csv
+   #echo URL=https://ci.curoverse.com/view/job/arvados-api-server/ws/apps/workbench/log/$test-$build.txt/*view*/ >>  $outputdir/$test.properties
  else  
+   echo "$test was't found on $file"
  fi
 done

commit 1341bb72ae74b1f151935bd1ee4564648de2246f
Author: Nico Cesar <nico at nicocesar.com>
Date:   Wed May 20 13:27:08 2015 -0400

    added result checking

diff --git a/jenkins/create-plot-data-from-log.sh b/jenkins/create-plot-data-from-log.sh
index 60516a5..1b52af1 100755
--- a/jenkins/create-plot-data-from-log.sh
+++ b/jenkins/create-plot-data-from-log.sh
@@ -43,12 +43,17 @@ for test in \
  test_combine_selected_collection_files_into_new_collection_project_viewer_foo_collection_in_aproject_false \
  test_combine_selected_collection_files_into_new_collection_project_viewer_foo_file_false \
  test_Create_and_show_large_collection_with_manifest_text_of_20000000 \
- test_Create__show__and_update_description_for_large_collection_with_manifest_text_of_100000 \
+ test_Create,_show,_and_update_description_for_large_collection_with_manifest_text_of_100000 \
  test_Create_one_large_collection_of_20000000_and_one_small_collection_of_10000_and_combine_them
 do
- zgrep -A$MAXLINES "^CollectionsTest: $test" $file | tail --lines=+3|grep -B$MAXLINES -E "^-*$" -m1 > $outputdir/$test-$build.txt
- echo processing  $outputdir/$test-$build.txt creating  $outputdir/$test.csv
- echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed (.*) in [0-9]+ms.*$/;print "".++$line."-$1,";' | perl -p -e 's/,$//g'|tr " " "_" ) >  $outputdir/$test.csv
- echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed.*in ([0-9]+)ms.*$/;print "$1,";' | perl -p -e 's/,$//g' ) >>  $outputdir/$test.csv
- #echo URL=https://ci.curoverse.com/view/job/arvados-api-server/ws/apps/workbench/log/$test-$build.txt/*view*/ >>  $outputdir/$test.properties
+ zgrep -i -E -A$MAXLINES "^CollectionsTest: $test" $file | tail --lines=+3|grep -B$MAXLINES -E "^-*$" -m1 > $outputdir/$test-$build.txt
+ result=$?
+ if [ $result -eq 0 ]
+ then 
+  echo processing  $outputdir/$test-$build.txt creating  $outputdir/$test.csv
+  echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed (.*) in [0-9]+ms.*$/;print "".++$line."-$1,";' | perl -p -e 's/,$//g'|tr " " "_" ) >  $outputdir/$test.csv
+  echo $(grep ^Completed $test-$build.txt | perl -n -e '/^Completed.*in ([0-9]+)ms.*$/;print "$1,";' | perl -p -e 's/,$//g' ) >>  $outputdir/$test.csv
+  #echo URL=https://ci.curoverse.com/view/job/arvados-api-server/ws/apps/workbench/log/$test-$build.txt/*view*/ >>  $outputdir/$test.properties
+ else  
+ fi
 done

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list